#ifndef TEMPERATURE_H
#define TEMPERATURE_H

/* 30Jan2011 - Noobman's stupid comments:
Thermistors are "up to 310C" but also that thermistors are "replaceable only in 0-150C" range. So, beyond 150C, 2 pcs of the same thermistor will read enough discrepancies to "individualize", thus need calibration each.
Which means that the Beta value after 150C is cake - and wave it goodbye. Tables are made from it, so after 150C are a thing like "not designed for, nor guaranteed, but might works so-so-maybe on my application" kind of thingy.
However, in contrast, for heated bed in 0 ~150 range, no calibration would be needed, thermistors themselives and the tables would be perfectly interchangeable, and data should be proper and accurate. 
Documentation to figure out Beta value (other than datasheet) and to make a table:
 http://hydraraptor.blogspot.com/2007/10/measuring-temperature-easy-way.html 
 http://www.brokentoaster.com/blog/?p=148 - script there includes max_temp which can be set
 http://www.reprap.org/wiki/Thermistor - i personally wouldnt use the tables there because they overshoot the needed range like 5 times over; but the further links from there, to read about beta - are good. 
 http://wiki.makerbot.com/adjusting-the-thermistor-settings  
What individualizes a thermistor product, is its value (100k, 10k etc) and its beta. For table, schematic of how it is connected (Pin3&Temp board r1&r2). Not its color / manufacturer / any of the 10-50 products codes from sellers.
Same way a simple 4k7 3% resistor is the same one regardless of manufacturer. Electronics industry worked too much to achieve components *fungibility* - to deny that. Other peoples are ofc free to consider this as they see fit.
Variant r1=0 r2=4k7 benefits more adc resolution and variant r1=680 r2=1k6 sacrifices some resolution to get much less self heating error. 
Further questions: is worth implementing a different model without table, equation based, e.g. like Steinhart-Hart based on coefficients? Reference http://thermistor.sourceforge.net/
/*/

#ifdef E_THERMISTOR

// ./createTemperatureLookup.py --r0=100000 --t0=25 --r1=0 --r2=4700 --beta=4036 --max-adc=1023
#define NUMTEMPS 20
short temptable[NUMTEMPS][2] = {
   {11, 400},
   {38, 285},
   {46, 260},
   {57, 245},
   {70, 231},
   {87, 219},
   {109, 205},
   {138, 191},
   {176, 177},
   {225, 165},
   {287, 150},
   {365, 135},
   {458, 120},
   {561, 105},
   {669, 90},
   {771, 75},
   {857, 60},
   {922, 45},
   {967, 30},
   {995, 15}
};
#endif

#ifdef B_THERMISTOR

// ./createTemperatureLookup.py --r0=100000 --t0=25 --r1=0 --r2=4700 --beta=4036 --max-adc=1023
#define NUMTEMPS 20
short bedtemptable[NUMTEMPS][2] = {
   {11, 400},
   {38, 285},
   {46, 270},
   {57, 255},
   {70, 240},
   {87, 225},
   {109, 210},
   {138, 195},
   {176, 180},
   {225, 165},
   {287, 150},
   {365, 135},
   {458, 120},
   {561, 105},
   {669, 90},
   {771, 75},
   {857, 60},
   {922, 45},
   {967, 30},
   {995, 15}
};

#endif

#endif

/* manual changes as follows tested for extruder 2 for PLA with alu block
#define NUMTEMPS 20
short temptable[NUMTEMPS][2] = {
   {11, 400},
   {38, 285},
   {46, 270},-10
   {57, 255},-10
   {70, 240},-9
   {87, 225},-6
   {109, 210},-5
   {138, 195},-4
   {176, 180},-3
   {225, 165},
   {287, 150},
   {365, 135},
   {458, 120},
   {561, 105},
   {669, 90},
   {771, 75},
   {857, 60},
   {922, 45},
   {967, 30},
   {995, 15}
};
*/

